#
# spec file for package ibmasm (Version 3.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           ibmasm
BuildRequires:  xorg-x11-devel
License:        GPL
URL:            http://www.ibm.com
Group:          System/Kernel
Autoreqprov:    on
Version:        3.0
Release:        14.2
Summary:        IBM Advanced System Management Drivers
Source:         ibmasm_user_%version.tar.bz2
Source1:        ibmasmrc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         %fillup_prereq %insserv_prereq
Patch1:         ibmasm_sles10_updates.patch

%description
This package contains the tools necessary to set up the IBM Advanced
System Management Drivers that are shipped with the SUSE kernel.



Authors:
--------
    IBM

%debug_package
%prep
%setup -q -n ibmasm
%patch1

%build
cd src
make

%install
cd src
make _LIB=/%_lib ROOT=$RPM_BUILD_ROOT install
install %{SOURCE1} $RPM_BUILD_ROOT/etc/init.d/ibmasm
mkdir -p $RPM_BUILD_ROOT/usr/sbin/
ln -sf ../../etc/init.d/ibmasm $RPM_BUILD_ROOT/usr/sbin/rcibmasm

%preun
%stop_on_removal ibmasm

%post
%fillup_and_insserv

%postun
%restart_on_update ibmasm
%insserv_cleanup

%files
%defattr(-,root,root)
%dir /var/lib/ibmasm
%doc src/README
/%_lib/libsysSp.so
/usr/bin/evnode
/sbin/ibmsphalt
/sbin/ibmspup
/sbin/ibmspdown
%config /etc/init.d/ibmasm
/usr/sbin/rcibmasm

%changelog -n ibmasm
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 - adrian@suse.de
- handle xorg.conf file (#144518)
* Tue Dec 13 2005 - ro@suse.de
- fix PreReqs (#46477)
* Wed Sep 21 2005 - adrian@suse.de
- update to version 3.0 (#86120)
* Thu Apr 29 2004 - adrian@suse.de
- mount fs to /var/lib/ibmasm (#38165)
- apply fix for remote usage by IBM (#39616)
* Sat Feb 28 2004 - adrian@suse.de
- update to version 2.0
* Thu Jul 31 2003 - adrian@suse.de
- restart daemon on update
* Fri May 16 2003 - coolo@suse.de
- use BuildRoot
* Tue Oct 15 2002 - agruen@suse.se
- added SuSE specific README.TXT from Frederick W Treasure
  <fwtreas@us.ibm.com> (#20784)
* Mon Oct 14 2002 - uli@suse.de
- fixed to build on lib64 archs
* Thu Oct 10 2002 - agruen@suse.de
- Fix wrong pathname in ibmspup script
- Build ibmsprem2 with X11 support (add required libraries)
* Tue Sep 10 2002 - uli@suse.de
- initial package
